# Badpix Mask
!gawk -v ns=139799 -v n=10 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > data.tbl 
imdel test,badpix1.pl
imcombine @data.tbl test reject=sigclip 
imreplace test 0 upper=1000
imreplace test 1 lower=1000
imcopy test badpix1.pl

!gawk -v ns=141909 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > data.tbl
imdel test
imcombine @data.tbl test reject=sigclip 
imreplace test 10000 upper=12000 lower=5300
imreplace test 1 upper=5300
imreplace test 1 lower=12000
imreplace test 0 lower=9000
imdel badpix2.pl
imcopy test badpix2.pl

imdel badpix.pl
imarith badpix1.pl + badpix2.pl badpix.pl

imdel test
imcombine @data.tbl test reject=sigclip 
imdel test2,test3,test4
imarith test / flat test2
imshift test2 test3 -20 -20 
imshift test3 test3 20 20 
imsurfit test3[1:512,*] test4 10 2 type_out=fit
imarith test2[1:512,*] - test4 test4
imcopy test4 test2[1:512,*]
imdel test4
imsurfit test2[513:1024,*] test4 10 2 type_out=fit
imarith test2[513:1024,*] - test4 test4
imcopy test4 test2[513:1024,*]
imdel test3
imarith test2 * flat test3
imreplace test3 10000 lower=1500
imreplace test3 10000 upper=-1000
imreplace test3 0 lower=-1000 upper=1500
imreplace test3 1 lower=9000
imdel badpix3.pl
imcopy test3 badpix3.pl

imarith badpix.pl + badpix3.pl badpix.pl


OHSA00139799
#FS
run2.csh 
#J
sed '/#/d' RESULTS/phot.fs21j_01 | gawk '{if($1==1)print($2,$3,$18,$23,$28)}' | tail -n 1 > tmp.dat
sed '/#/d' RESULTS/phot.fs21j_02 | gawk '{if($1==1)print($2,$3,$18,$23,$28)}' | tail -n 1 >> tmp.dat
gawk -v mag=12.976 '{print(mag+2.5*log($3/$1)/log(10),mag+2.5*log($5/$1)/log(10),mag+2.5*log($5/$1)/log(10))}' tmp.dat > convj.dat
sed '/#/d' RESULTS/phot.fs23j_01 | gawk '{if($1==2)print($2,$3,$18,$23,$28)}' | tail -n 1 > tmp.dat
sed '/#/d' RESULTS/phot.fs23j_02 | gawk '{if($1==2)print($2,$3,$18,$23,$28)}' | tail -n 1 >> tmp.dat
gawk -v mag=12.949 '{print(mag+2.5*log($3/$1)/log(10),mag+2.5*log($5/$1)/log(10),mag+2.5*log($5/$1)/log(10))}' tmp.dat >> convj.dat
#kp
sed '/#/d' RESULTS/phot.fs21kp_01 | gawk '{if($1==1)print($2,$3,$18,$23,$28)}' | tail -n 1 > tmp.dat
sed '/#/d' RESULTS/phot.fs21kp_02 | gawk '{if($1==1)print($2,$3,$18,$23,$28)}' | tail -n 1 >> tmp.dat
gawk -v mag=13.138 '{print(mag+2.5*log($3/$1)/log(10),mag+2.5*log($5/$1)/log(10),mag+2.5*log($5/$1)/log(10))}' tmp.dat > convkp.dat
sed '/#/d' RESULTS/phot.fs23kp_01 | gawk '{if($1==2)print($2,$3,$18,$23,$28)}' | tail -n 1 > tmp.dat
sed '/#/d' RESULTS/phot.fs23kp_02 | gawk '{if($1==2)print($2,$3,$18,$23,$28)}' | tail -n 1 >> tmp.dat
gawk -v mag=12.372 '{print(mag+2.5*log($3/$1)/log(10),mag+2.5*log($5/$1)/log(10),mag+2.5*log($5/$1)/log(10))}' tmp.dat >> convkp.dat

#According to WEB,
#Kp=26.3mag/e-/sec
#J =26.4mag/e-/sec
cat RESULTS/phot.fs21j_?? |grep -v "#"|  gawk '{if($1==1)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-12.976)}'
cat RESULTS/phot.fs23j_?? |grep -v "#"| gawk '{if($1==2)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-12.949)}'

cat RESULTS/phot.fs21kp_?? |grep -v "#"| gawk '{if($1==1)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-13.150)}'
cat RESULTS/phot.fs23kp_?? |grep -v "#"| gawk '{if($1==2)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-12.363)}'

#Fainter in J by 0.2-0.8mag
#Fainter in Kp by 0.5mag
#LAE Magnitude (1.1"aperture)
# J=107
# Kp<40
gawk 'BEGIN{print(107/60*3.5)}'| gawk '{m=26.4-log($1)/log(10)*2.5;print(m-0.4)}'
#J=24.0117
gawk 'BEGIN{print(40/60*3.5)}'| gawk '{m=26.3-log($1)/log(10)*2.5;print(m-0.5)}'
#Kp<24.8801

##### SDF-NIRA Kp
run.csh

\rm seeingkp.log
ls RESULTS/sdfakp_??.?.fits | gawk '{printf("del tmp.log\nimexam %s logfile=tmp.log keeplog+\n\!cat tmp.log>>seeingkp.log\n",$1)}' | cl
-----
#Need Check
# first position of num=3
# 05_1, 06_1 $B$O=|$$$?J}$,$$$$LOMM!#(B

cat RESULTS/phot.sdfakp_?? | gawk '{if(NF<10)printf("%s ",$2); else print($0)}' > sdfakp_allframe.log
cat RESULTS/phot.sdfaj_?? | gawk '{if(NF<10)printf("%s ",$2); else print($0)}' > sdfaj_allframe.log

grep -v sdfa sdfakp_allframe.log | sed '/#/d' | gawk '{print(NR,$8,$14,$19,$24)}' > cutkp.log
grep -v sdfa sdfaj_allframe.log | sed '/#/d' | gawk '{print(NR,$8,$14,$19,$24)}' > cutj.log

-----
#Coadd Selected frames
grep -v "z1=" seeingkp.log | grep -v "#"| gawk '{print($1,$2,$7,$9,$10,$14)}' > tmp.log
ls -l ./RESULTS/sdfakp_??.?.fits | gawk '{print($9)}' > filekp.log
paste filekp.log tmp.log > kp.log

#seeing<0.8"
!gawk '{if($7<7.6)print($1)}' kp.log > tmp.file
!gawk '{if($7<7.6)print(-$2,-$3)}' kp.log > tmp.pos

#1335 -> 1297/1462 frames
imdel sdfakp_0.8
imcombine @tmp.file sdfakp_0.8.fits reject=sigclip  combine=average outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfakp_0.8.fits 1 fi+

imdel tmp.imh
gauss sdfakp_0.8.fits tmp.imh  1
disp tmp.imh 2 zr- zs-  z1=-4.597444 z2=4.606657 fi+
imdel tmp2.imh
gauss sdfakp_0.8noreject.fits tmp2.imh  1
disp tmp2.imh 2 zr- zs-  z1=-4.597444 z2=4.606657 fi+

#seeing<0.6"
!gawk '{if($7<5.7)print($1)}' kp.log > tmp.file
!gawk '{if($7<5.7)print(-$2,-$3)}' kp.log > tmp.pos

#680 -> 704/1462 frames
imdel sdfakp_0.6
imcombine @tmp.file sdfakp_0.6.fits reject=sigclip combine=average outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfakp_0.6.fits 1 fi+
imdel tmp.imh
gauss sdfakp_0.6.fits tmp.imh  1
disp tmp.imh 1 fi+

imdel tmp2.imh
gauss sdfakp_0.6noreject.fits tmp2.imh  1
disp tmp2.imh 2 zr- zs-  z1=-4.597444 z2=4.606657 fi+

#seeing<0.4"
!gawk '{if($7<3.85)print($1)}' kp.log > tmp.file
!gawk '{if($7<3.85)print(-$2,-$3)}' kp.log > tmp.pos
#204/1462 frames
imdel sdfakp_0.4
imcombine @tmp.file sdfakp_0.4.fits reject=sigclip combine=average outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfakp_0.4.fits 1 fi+
imdel tmp.imh
gauss sdfakp_0.4.fits tmp.imh  1
disp tmp.imh 1


set FILENAME=RESULTS/ql.sdfaj_01
!set TVNAME=RESULTS/mask.sdfaj_01 ; gawk '{print($2,$3)}' $TVNAME > tmp.coo
disp FILENAME$ 1
tvmark 1 tmp.coo number+

##### SDF-NIRA J
run.csh

\rm seeingj.log
ls RESULTS/sdfaj_??.?.fits | gawk '{printf("del tmp.log\nimexam %s logfile=tmp.log keeplog+\n\!cat tmp.log>>seeingj.log\n",$1)}' | cl

-----
#Coadd Selected frames
#grep -v "z1=" seeingj.log | grep -v "#"| gawk '{if(NF==4)printf("%s %s ",$1,$2);else print($3,$5,$6,$9)}' > tmp.log
grep -v "z1=" seeingj.log | grep -v "#"| gawk '{print($1,$2,$7,$9,$10,$14)}' > tmp.log
ls -l ./RESULTS/sdfaj_??.?.fits | gawk '{print($9)}' > filej.log
paste filej.log tmp.log > j.log
#paste filej.log tmp.log | grep -v "01.6" | grep -v "01.5" > j.log

#seeing<0.8"
!gawk '{if($7<7.6)print($1)}' j.log > tmp.file
!gawk '{if($7<7.6)print(-$2,-$3)}' j.log > tmp.pos

#336 -> 319 /432 frames
imdel sdfaj_0.8
imcombine @tmp.file sdfaj_0.8.fits reject=sigclip  combine=average outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfaj_0.8.fits 1 fi+

imdel tmp.imh
gauss sdfaj_0.8.fits tmp.imh  1
disp tmp.imh 1

imdel tmp2.imh
gauss sdfaj_0.8noreject.fits tmp2.imh  1
disp tmp2.imh 2

#seeing<0.6"
!gawk '{if($7<5.7)print($1)}' j.log > tmp.file
!gawk '{if($7<5.7)print(-$2,-$3)}' j.log > tmp.pos

#134/432 frames
imdel sdfaj_0.6
imcombine @tmp.file sdfaj_0.6.fits reject=sigclip  combine=average outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfaj_0.6.fits 1 fi+

imdel tmp.imh
gauss sdfaj_0.6.fits tmp.imh  1
disp tmp.imh 1

imdel tmp2.imh
gauss sdfaj_0.6noreject.fits tmp2.imh  1
disp tmp2.imh 2

# Photometry

#set parameter

csh photpar.csh

# Bright Star
# gawk 'BEGIN{print(17.49+log(857.9)/log(10)*2.5)}'
# gawk 'BEGIN{print(15.49+log(3294)/log(10)*2.5)}'
# J: 17.49mag=51473.83 ADU = 767.6ADU/s -> 24.82 mag/ADU/sec @ J
# Kp: 15.69mag=65881.05 ADU = 3002ADU/s -> 24.28 mag/ADU/sec @ Kp
noao
digiphot
apphot
!echo 609 368 > pos.dat
del tmpj.phot
phot ssdfaj_0.6.fits coords=pos.dat output=tmpj.phot fitskyp=tmpfitsky2.par photpars=tmpphotj.par datapars=tmpdata.par centerpars=tmpcenter.par interac- verify-
del tmpkp.phot
phot ssdfakp_0.6.fits coords=pos.dat output=tmpkp.phot fitskyp=tmpfitsky2.par photpars=tmpphotkp.par datapars=tmpdata.par centerpars=tmpcenter.par interac- verify-

24.078 0.309
23.119 0.425

24.090 0.200
23.304 0.297

### GIF/Color images
#220, 450
imdel tmp.imh
gauss sdfaj_0.8.fits tmp.imh  1
disp tmp.imh 2
imdel gsdfaj_0.8.fits
imshift tmp.imh gsdfaj_0.8.fits -14 -3

imshift sdfaj_0.8.fits ssdfaj_0.8.fits -14 -3

imdel tmp.imh
gauss sdfakp_0.8.fits tmp.imh  1
disp tmp.imh 2
imdel gsdfakp_0.8.fits
imshift tmp.imh gsdfakp_0.8.fits 10 15

imshift sdfakp_0.8.fits ssdfakp_0.8.fits 10 15

del sdfakp.gif
export gsdfakp_0.8[431:820,161:560] sdfakp.gif gif outbands='setcmap(zscale(i1,-0.2,2),"heat")'
!xv  sdfakp.gif&
del sdfaj.gif
export gsdfaj_0.8[431:820,161:560]  sdfaj.gif  gif outbands='setcmap(zscale(i1,-0.5,3.5),"heat")'
!xv  sdfaj.gif

imdel tmpr,tmpg,tmpb
imcopy gsdfakp_0.8.fits[1:1195,1:1204] tmpr
imarith gsdfaj_0.8.fits[1:1195,1:1204] * 1.28 tmpb
imarith tmpr + tmpb tmpg
imarith tmpg / 2.0 tmpg

del sdfa.ras
export tmpr,tmpg,tmpb sdfa.ras ras outbands="zscale(i1,-6,25),zscale(i2,-6,25),zscale(i3,-6,25)"
!xv -nolimit sdfa.ras 

imarith noobjsky2frst.imh - noobjsky2last.imh test
!echo test > test.tbl
!echo test2 > test2.tbl
!touch test.mask 
imdel test2
modify @test.tbl @test2.tbl @test.mask 1
imdel mtest2
median test2 mtest2 7 7
imdel test3
imarith test2 - mtest2 test3

boxcar mtest2 mtest2 3 3
#gauss mtest2 mtest2 1
imdel test32
imarith test2 - mtest2 test32
imdel test4
imarith test3 - test32 test4

----
imexam sdfaj_0.6.fits
imshift sdfaj_0.6.fits ssdfaj_0.6.fits -4 46

imexam sdfakp_0.6.fits
imshift sdfakp_0.6.fits ssdfakp_0.6.fits 15 41


----
#Photometry comparison

#Motohara 0.8Kp
disp sdfakp_0.8.fits
cat <<EOF > tmp1
1013.95  989.65   15.44   6687.4     0.44 1252  8.02 0.041  31.0    73.51  8.00
 954.44 1003.70   16.05   3802.9     0.02 1260  8.94 0.158   1.5    38.68  8.22
 775.52 1008.59   17.40   1094.8    -0.03 1264  9.21 0.177  34.9    11.55  8.20
 709.99 1056.59   15.91   4343.7     0.33 1252  9.69 0.522 -44.0    39.42  8.29
 432.07  985.74   18.03    615.0     0.22 1257 INDEF INDEF  -2.7    17.48  5.09
 117.65  843.00   16.87   1779.3    -0.09 1251  8.76 0.155  20.0    22.33  7.34
 259.24  734.75   15.65   5480.7     0.05 1256  7.68 0.252   6.1    72.94  6.91
 309.77  564.25   17.12   1424.4    -0.10 1256  6.35 0.556 -57.2    27.38  6.02
 296.69  495.17   16.92   1705.0    -0.30 1259 10.20 0.411 -11.3    26.23  5.68
 209.94  434.98   12.95  66300.7     1.11 1253  8.65 0.030  54.2  1338.34  5.57
 230.41  321.05   16.24   3204.1     0.31 1253  3.79 2.555 -80.8    55.92  6.54
 262.02  313.91   INDEF   -575.0     1.50 1252 INDEF INDEF INDEF    12.97  7.11
 270.82  187.97   17.10   1441.9     0.12 1254  4.85 1.478 -69.0    30.70  5.36
 382.65  248.03   15.83   4660.3    -0.14 1252  9.27 0.220   2.9    58.40  7.04
 374.53  415.42   16.43   2671.0     0.21 1264 10.33 0.011   3.3    28.15  7.61
 653.41  720.25   17.36   1142.7    -0.06 1258  9.29 0.174   5.9    19.91  5.43
 627.70  244.11   16.97   1635.3    -0.03 1257  8.87 0.181   5.5    34.30  5.37
 947.92  215.56   15.79   4832.9    -0.06 1255  9.53 0.478 -79.4    34.09  9.48
 924.42  356.99   17.26   1250.0    -0.03 1251  8.93 0.072 -68.5    17.67  6.58
1080.32  350.27   15.83   4657.8     0.30 1257  7.63 0.077 -82.8    72.76  6.70
1036.75  480.73   16.25   3171.0     0.27 1258  8.02 0.575 -54.5    58.37  6.25
EOF

#Iwamuro
disp ../IWAMURO/sdf2kp.fits 2
tvmark 2 tmp1 number+
cat <<EOF > tmp2
1006.11  976.73   15.50   6282.7     0.36 1258  8.16 0.156  31.4    72.47  7.41
 946.44  990.74   16.09   3659.8    -0.00 1256  9.25 0.108  13.1    35.92  7.98
 766.71  994.98   17.37   1126.6     0.02 1256  7.45 0.365  58.2    12.44  7.80
 701.86 1043.65   15.93   4232.0     0.37 1258  9.46 0.478 -42.1    33.69  8.68
 423.64  972.73   17.88    706.3     0.11 1256  4.13 1.341  27.7    13.94  6.22
 109.48  829.98   16.87   1781.8    -0.05 1253  8.87 0.235  18.4    18.91  8.41
 251.40  721.79   15.67   5391.2     0.16 1258  8.93 0.199  13.8    56.83  8.07
 301.77  551.15   17.11   1436.5     0.01 1259  7.73 0.282 -62.1    21.15  6.99
 288.79  482.16   16.77   1954.4    -0.01 1257 10.95 0.307 -11.6    22.40  6.50
 202.00  422.02   12.98  63993.1     1.16 1251  9.52 0.023  56.9   947.98  6.96
 222.52  308.10   16.27   3106.1     0.52 1255  5.08 1.577 -86.9    43.65  7.57
 254.18  300.47   INDEF   -269.2     1.46 1256 INDEF INDEF INDEF    13.18  7.65
 262.69  175.03   16.99   1596.0     0.20 1255  6.80 0.524 -68.7    24.80  6.21
 374.70  235.06   15.82   4678.9    -0.09 1256 10.29 0.219   8.4    49.47  7.77
 365.85  402.93   16.40   2745.2     0.31 1254 11.33 0.205 -56.8    23.26  8.23
 645.55  707.17   17.24   1270.2     0.00 1256  9.85 0.216  10.9    15.66  6.76
 619.50  231.04   17.01   1564.7     0.01 1252  9.08 0.319  -8.5    26.92  6.12
 939.98  202.28   15.75   5025.4     0.07 1256  8.13 0.483 -80.9    31.59  9.86
 916.51  343.48   17.17   1361.2     0.01 1266  9.58 0.077  57.3    15.97  7.42
1072.37  336.97   15.94   4209.4     0.26 1251  7.51 0.226 -81.9    73.04  6.05
1028.76  467.73   16.29   3048.1     0.11 1258  9.43 0.463 -56.9    62.45  5.32
EOF

paste tmp1 tmp2 | gawk '{a[NR]=$4;b[NR]=$15}END{for(i=1;i<=NR;i++)printf("%d\t%f\t%f\t%f\n",i,a[i]/a[10],b[i]/b[10],a[i]/b[i])}'

paste tmp1 tmp2 | gawk '{a[NR]=$4;b[NR]=$15}END{for(i=1;i<=NR;i++)printf("%d\t%f\t%f\t%f\n",i,a[i]/a[10],b[i]/b[10],a[i]/b[i])}' | gawk '{if($2>0.05)print($0)}'

paste tmp1 tmp2 | gawk '{printf("%s\t%s\t%s\t%f\n",$12,$13,$15,$4/$15)}' | gawk '{if($3>2000)print($0)}'

#set parameter

!csh photpar.csh

noao
digiphot
apphot
!gawk '{print($1,$2)}' tmp1 > pos.dat
del tmpmot.phot
phot sdfakp_0.8.fits coords=pos.dat output=tmpmot.phot fitskyp=tmpfitsky.par photpars=tmpphotj.par datapars=tmpdata.par centerpars=tmpcenter.par interac- verify-
!gawk '{print($1,$2)}' tmp2 > pos.dat
del tmpiwa.phot
phot ../IWAMURO/sdf2kp.fits coords=pos.dat output=tmpiwa.phot fitskyp=tmpfitsky.par photpars=tmpphotj.par datapars=tmpdata.par centerpars=tmpcenter.par interac- verify-

!sed '/#/d' tmpmot.phot | gawk '{if(NR%5==2)printf("%s %s ",$1,$2);if(NR%5==0)printf("%s\n",$4)}' > ttmp1
!sed '/#/d' tmpiwa.phot | gawk '{if(NR%5==2)printf("%s %s ",$1,$2);if(NR%5==0)printf("%s\n",$4)}' > ttmp2
!paste ttmp1 ttmp2 | gawk '{printf("%d\t%s\t%s\t%s\t%f\n",NR,$4,$5,$6,$3/$6)}' |gawk '{if($4>1000)print($0)}'


 1       1006.110        976.730 6343.005        1.058595
10      202.000 422.020 61374.46        1.040064
