# -------------------------------------------
#   imstatistics with mode clipping 
#
#    iteration limit 50 times
#
#     96/06/01 Masayuki Akiyama
# -------------------------------------------

procedure imstatrej ( image , rejection)

file    image         {prompt = ' Input file name :'}
int     rejection     {prompt = ' Rejection sigma :'}

begin
    string    tmpfile
    string    limage
    int       nn
    real      mean,stddev,mean_old
    real      lowerval, upperval
    int	      rej

    limage = image
    rej = rejection
    tmpfile = mktemp ("ia_tmp.")

    imstatistics(limage, field="mean,stddev",format-, > tmpfile) 

    list = tmpfile
    if(fscan(list,mean,stddev) == 2)

    mean_old = mean 
    nn = 0
    while( yes ) 
        {
 	nn = nn + 1
	delete( tmpfile, ver-, >& "dev$null" )
	tmpfile = mktemp( "ia_tmp." )

	lowerval = mean - rej * stddev
	upperval = mean + rej * stddev

	imstatistics(limage,lower=lowerval,upper= upperval,field="mean,stddev",format-, > tmpfile)

	list = tmpfile
        if(fscan(list,mean,stddev) == 2 ) { }

	if( abs( mean_old - mean ) / mean_old < 0.0001 )	
	{
		break
	}
	else if(nn > 50)
	{
		break
	}
	else
	{
		mean_old = mean
	}

	}

        print (limage," ",mean,stddev)

	delete( tmpfile, ver-, >& "dev$null" )

end
