#datapars
cat <<EOF > tmpdata.par
scale,r,h,1.,0.
fwhmpsf,r,h,10,0.
emission,b,h,yes
sigma,r,h,INDEF
datamin,r,h,INDEF
datamax,r,h,INDEF
noise,s,h,"poisson"
ccdread,s,h,""
gain,s,h,GAIN
readnoise,r,h,15
epadu,r,h,1
exposure,s,h,"EXPTIME"
airmass,s,h,"AIRMASS"
filter,s,h,"FILTER01"
obstime,s,h,""
itime,r,h,1.
xairmass,r,h,INDEF
ifilter,s,h,INDEF
otime,s,h,INDEF
EOF

#centerpars
cat <<EOF > tmpcenter.par
calgorithm,s,h,"none"
cbox,r,h,5
cthreshold,r,h,0
minsnratio,r,h,1.,0
cmaxiter,i,h,10
maxshift,r,h,1
clean,b,h,no
rclean,r,h,1
rclip,r,h,2.
kclean,r,h,3
mkcenter,b,h,no
EOF

#fitskypars
cat <<EOF > tmpfitsky.par
salgorithm,s,h,"mode"
annulus,r,h,15
dannulus,r,h,10
skyvalue,r,h,0.
smaxiter,i,h,10
sloclip,r,h,0.
shiclip,r,h,0.
snreject,i,h,50
sloreject,r,h,3.
shireject,r,h,3.
khist,r,h,3.
binsize,r,h,0.1
smooth,b,h,no
rgrow,r,h,0.
mksky,b,h,no
EOF

#photpars
cat <<EOF > tmpphotj.par
weighting,s,h,"constant"
apertures,s,h,9.5
zmag,r,h,24.8
mkapert,b,h,no
EOF
cat <<EOF > tmpphotkp.par
weighting,s,h,"constant"
apertures,s,h,9.5
zmag,r,h,24.5
mkapert,b,h,no
EOF

#photpars
cat <<EOF > tmpphotj.par
weighting,s,h,"constant"
apertures,s,h,20
zmag,r,h,24.8
mkapert,b,h,no
EOF
cat <<EOF > tmpphotkp.par
weighting,s,h,"constant"
apertures,s,h,20
zmag,r,h,24.5
mkapert,b,h,no
EOF
