#!/bin/csh -f

set LIBDIR=`pwd`/clscript

sed 's/gterm/term/g' login.cl | gawk '{print($0);if(match($0, "stdimage")>0)print("set stdimage = imt1024")}' > tmp.cl
cat tmp.cl > login.cl
gawk '{print($0);if(match($0, "imtype")>0)print("set imtype = doublequoteimhdoublequote")}' login.cl | sed 's/doublequote/\"/g' > tmp.cl
cat tmp.cl > login.cl
echo "task mksubgr = "$LIBDIR"/mksubgr.cl" >> login.cl
echo "task modify = "$LIBDIR"/modify.cl" >> login.cl
echo "task modify2 = "$LIBDIR"/modify2.cl" >> login.cl
echo "task shiftcomb = "$LIBDIR"/shiftcomb.cl" >> login.cl
echo "task noshiftcomb = "$LIBDIR"/noshiftcomb.cl" >> login.cl
echo "task shiftcomb2 = "$LIBDIR"/shiftcomb2.cl" >> login.cl
echo "task noshiftcomb2 = "$LIBDIR"/noshiftcomb2.cl" >> login.cl
echo "task photexam = "$LIBDIR"/photexam.cl" >> login.cl
echo "task cutout = "$LIBDIR"/cutout.cl" >> login.cl
echo "task blcutout = "$LIBDIR"/blcutout.cl" >> login.cl
echo "task eraseobj = "$LIBDIR"/eraseobj.cl" >> login.cl
echo "task createmask = "$LIBDIR"/createmask.cl" >> login.cl
echo "task imstatrej = "$LIBDIR"/imstatrej.cl" >> login.cl
echo "task offsetrej = "$LIBDIR"/offsetrej.cl" >> login.cl
echo "task offsetrej_noflat = "$LIBDIR"/offsetrej_noflat.cl" >> login.cl
echo "task clickexam = "$LIBDIR"/clickexam.cl" >> login.cl
echo "keep" >> login.cl

set DIRECTORY=ldata
if( !(-e $DIRECTORY) ) then 
  mkdir $DIRECTORY
  echo "$DIRECTORY does not exist. Created."
endif 
set DIRECTORY=mldata
if( !(-e $DIRECTORY) ) then 
  mkdir $DIRECTORY
  echo "$DIRECTORY does not exist. Created."
endif 
set DIRECTORY=MASK
if( !(-e $DIRECTORY) ) then 
  mkdir $DIRECTORY
  echo "$DIRECTORY does not exist. Created."
endif 
set DIRECTORY=RESULTS
if( !(-e $DIRECTORY) ) then 
  mkdir $DIRECTORY
  echo "$DIRECTORY does not exist. Created."
endif 

gcc offsettbl.c -o offsettbl
gcc matchpat.c -lm -o matchpat
